---
author: ~alexlehm
published: true
title: getting started with weechat on a tilde machine
description: run weechat as a local irc client
category:
    - main
---

If you want to run irc on your tilde account, you can use weechat
which is installed and requires minimal configuration.

## First connection

Start weechat on your linux shell and type the following commands:

    /server add tilde localhost/6667
    /connect tilde

This will connect you to the irc network via the local machine using a
regular connection (which is secure enough since it stays on the local
machine). The username used is the same as your linux account, this is
should be unique, if it is not you will be called username1 or
similar, then you should chose another nickname. You do that by using
the /nick command

    /nick username

If you didn't chose a username that is unique in the tilde network,
you had kind of bad luck.

## Register

You now can register your username using your tilde email address as
described here: [intro to nicks](nicks)

After you have done that, you can set the username and password in the
weechat settings to automatically log in and authenticate

    /set irc.server.tilde.sasl_username <username>
    /set irc.server.tilde.sasl_password <password>

Now disconnect and connect again to get your registered nickname

    /quit
run weechat again
    /connect tilde

Now you can join any channel, e.g. #helpdesk

